from django.urls import path
from django.conf.urls import url
from django.contrib import admin
from django.views.generic.base import TemplateView

from . import views

urlpatterns = [
    url(r'^$', views.index, name='index'),
    url(r'^admin/', admin.site.urls),

    path('api/post', views.Post_Handler, name="post"),
    path('api/category', views.Category_Handler, name="category"),
    path('api/comment', views.Comments_Handler, name="comment"),
    path('api/menu', views.Menu_Handler, name="menu"),
    url(r'^(?P<path>.*)/$', views.index)
]